1.9.13 not available in Maestro

  • 1
  • Question
  • Updated 3 years ago
  • Answered
  • (Edited)
I upgraded my PC and 6500 from 1.9.9 to 1.9.13, but I can't do it for Maestro since it's not showing up in "Select a Version".  The Maestro is at 1.9.9.20, and now knowing that 1.9.9 has been pulled due to possible bricking, I want to get this thing updated.  Has 1.9.13 for Maestro been pulled too?
Photo of KD4HSO

KD4HSO

  • 53 Posts
  • 3 Reply Likes

Posted 3 years ago

  • 1
Photo of Martin Ewing AA6E

Martin Ewing AA6E

  • 311 Posts
  • 74 Reply Likes
Does your Maestro "see" the Internet?  (Probably connected to a router that handles your Internet traffic.) If it doesn't see the Internet, you'll never get update options.

I would try powering down both your transceiver and Maestro, and booting up fresh.  You should see 1.9.13.23 and older versions, but not 1.9.9
Photo of Bob - W7KWS -

Bob - W7KWS -

  • 321 Posts
  • 52 Reply Likes
No, that doesn't work.  There is no download available of any kind in the Maestro. The radio's version is 1.9.13.89 as showing in the "Radio" tab of the "Radio Setup" dialog.  1.9.9.20 remains in the list on the Maestro along with 1.9.7.19, 1.8.4.18 and 1.7.32.15.
(Edited)
Photo of KD4HSO

KD4HSO

  • 53 Posts
  • 3 Reply Likes
Mine should see the internet. Sounds like the flex server may be down if others are having the same issue, or the update has been pulled. Guess I'm not using it until => 1.9.13 is available.
(Edited)
Photo of Dennis Daniel KM6DF

Dennis Daniel KM6DF

  • 91 Posts
  • 11 Reply Likes
I am having the same problem the Maestro and the SmartSDR are not compatible to each other. I can no longer use the Maestro.
  
Photo of Bob - W7KWS -

Bob - W7KWS -

  • 321 Posts
  • 52 Reply Likes
I've gone back and 1.9.7 is working on both the Maestro and the PC until FRS gets this mess straightened out.
Photo of James Whiteway

James Whiteway

  • 1002 Posts
  • 285 Reply Likes
I just did the same thing and all is well again! Now, if only band conditions could be fixed that easy!
james
WD5GWY
Photo of Jay Adrick

Jay Adrick

  • 5 Posts
  • 0 Reply Likes
I am having the same problem. No upgrade for Maestro. It is running v1.9.9.2 while the 6700 and the PC are running the latest version 1.9.13. Now when I try to connect to the 6700, the Maestro wants to force it load the 1.9.9.2 software.
Photo of Mark Erbaugh

Mark Erbaugh

  • 411 Posts
  • 38 Reply Likes
Me too!  I just powered up the Maestro for the first time since upgrading the 6700 to 1.9.13. The only options are to "upgrade" the radio to 1.9.9.20, 1.9.7.19, 1.8..4.18 or 1.7.32.15. The Maestro is hardwired to the same Gigabit switch that the PC I'm using to type this message is hardwired to.
Photo of Martin Ewing AA6E

Martin Ewing AA6E

  • 311 Posts
  • 74 Reply Likes
I upgraded Maestro + radio first, before upgrading the Windows PC.  All went smoothly.  I wonder if the order makes a difference.  You could try shutting down your PC before trying the Maestro.  Or even do a factory reset on the radio.  Or let Flex sort this out in the morning!  (Submit a trouble report.)
Photo of Bob - W7KWS -

Bob - W7KWS -

  • 321 Posts
  • 52 Reply Likes
Thanks for the suggestions Martin. I did all of those things with no joy. It's up to Flex now. This has been very frustrating and taken more time than it's worth.
(Edited)
Photo of Phill Beistel

Phill Beistel

  • 30 Posts
  • 4 Reply Likes

I get the same reaction. 1.9.9.x shows up on the maestro and always wants to 'downgrade' my 6500 which has 1.9.13.x loaded. I looked in the download section and 1.9.13.x is NOT there. I'm not sure where the Maestro would look but the internet is available. So what's up?


Photo of Tim - W4TME

Tim - W4TME, Customer Experience Manager

  • 9178 Posts
  • 3525 Reply Likes
Official Response
Please power cycle your Maestro and try again.  Version 1.9.13 should be available.  There was an issue with the software server over the weekend that we addressed this morning.
(Edited)